openjpa-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Talden <tal...@gmail.com>
Subject Re: Is OpenJPA 2.4.0 is released or not
Date Mon, 21 Sep 2015 21:06:08 GMT
The OpenJPA pages on apache.org (http://openjpa.apache.org/) are the
obvious standouts.

They still suggest the latest stable is 2.3.0 and say things like "The
upcoming 2.4 release (trunk) is based off of the 2.3.x branch and will
contain some additional features (TBD)"

--
Aaron Scott-Boddendijk

On Tue, Sep 22, 2015 at 2:24 AM, Mark Struberg <struberg@yahoo.de> wrote:

> It is officially released. Maybe I/we forgot to update some site still?
>
> Just point me to the page you are missing something on and I gonna fix it.
>
> txs and LieGrue,
> strub
>
>
> > Am 21.09.2015 um 09:44 schrieb Henno Vermeulen <henno@huizemolenaar.nl>:
> >
> > The documentation does list 2.4.0 as a release so I think they just
> forgot to update the downloads page!
> > I'm no OpenJPA committer, perhaps they can give the "official" answer,
> but here's our practical answer:
> >
> > We are using OpenJPA for a few years now. I can confirm from our
> experience that the enhancer for OpenJPA 2.3.0 is not able to enhance
> classes that are compiled with Java 8. It should be possible to compile
> with Java 7 and use a Java 8 runtime, but we haven't tried this.
> >
> > We have been using 2.4.0 with Java 7 in production (around 20 users) for
> quite a few months. We have very thorough tests that use OpenJPA and the
> actual database. All of them were passing on 2.3.0 and Java 7 and are now
> passing on 2.4.0 with either Java 7 or 8, so for us there are no new bugs
> in 2.4.0 on top of Java 8.
> >
> > We actually started using Java 8 in production since this weekend, due
> to extensive testing I'm confident everything works fine. I can't yet say
> whether lambdas inside entities are working correctly, but I don't see why
> they shouldn't.
> >
> > In short: I would say it's safe to use OpenJPA 2.4.0 and it won't be a
> barrier to adopt Java 8.
> > If you encounter other barriers for Java 8 adoption, consider compiling
> with Java 7 but running with a recent Java 8 JRE.
> >
> > Henno Vermeulen
> >
> > -----Oorspronkelijk bericht-----
> > Van: Talden [mailto:talden@gmail.com]
> > Verzonden: vrijdag 18 september 2015 5:00
> > Aan: users@openjpa.apache.org
> > Onderwerp: Is OpenJPA 2.4.0 is released or not
> >
> > OpenJPA 2.4.0 appears to be available on MavenCentral (Dated 2015-04-20)
> >
> >
> http://search.maven.org/#artifactdetails|org.apache.openjpa|openjpa|2.4.0|bundle
> >
> > In mailing list archives there's a call to vote (With votes up to
> > 2015-04-24)
> >
> >
> http://openjpa.208410.n2.nabble.com/VOTE-Release-Apache-OpenJPA-2-4-0-tt7587965.html#none
> >
> > But on the OpenJPA apache site the releases include only 2.3.0
> >
> >
> > Is 2.4.0 officially released?
> >
> > Is the April 20th 2015 artefact in Maven Central (that pre-dates the
> vote) a safe and valid build for production purposes?
> >
> > Am I correct that this version is required to enhance classes in a Java8
> runtime? A Java8 migration is highly desirable but wonder if OpenJPA will
> be a barrier.
> >
> > If 2.4.0 was not officially released, is there a release coming?
> >
> > --
> > Aaron Scott-Boddendijk
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message